aboutsummaryrefslogtreecommitdiffstats
path: root/packages
diff options
context:
space:
mode:
authorJoseph Chou <jc2555@att.com>2018-06-15 09:04:28 -0400
committerJoseph Chou <jc2555@att.com>2018-06-15 09:04:28 -0400
commite67481ed648c419a1645d0fc8b98506fe544a454 (patch)
treed3731dbf1fd121ac8ac03e52eca0187796b7fea7 /packages
parent1577c271f66912e13770eb3950a25ae40cf9c4ad (diff)
Fix policy gui missing schema_info table
Modify docker-install.sh to include db schema update Change-Id: I75941522ea932e59cd85d7ff9887bf7d4759ae7c Issue-ID: POLICY-898 Signed-off-by: Joseph Chou <jc2555@att.com>
Diffstat (limited to 'packages')
-rw-r--r--packages/docker/src/main/docker/docker-install.sh17
1 files changed, 16 insertions, 1 deletions
diff --git a/packages/docker/src/main/docker/docker-install.sh b/packages/docker/src/main/docker/docker-install.sh
index 7521f6064..f76557928 100644
--- a/packages/docker/src/main/docker/docker-install.sh
+++ b/packages/docker/src/main/docker/docker-install.sh
@@ -469,7 +469,22 @@ function configure_mysql() {
set -x
fi
- # nothing to do
+ # get user/pass/host from base.conf
+ if ! check_r_file "${BASE_CONF}"; then
+ echo "error: aborting ${COMPONENT_TYPE} installation: ${BASE_CONF} is not accessible"
+ exit 1
+ fi
+ DB_USER=`grep "^JDBC_USER=" ${BASE_CONF} | awk -F'=' '{print $2}'`
+ DB_PASS=`grep "^JDBC_PASSWORD=" ${BASE_CONF} | awk -F'=' '{print $2}'`
+ DB_HOST=`grep "^JDBC_URL=" ${BASE_CONF} | awk -F'=' '{print $2}' | awk -F':' '{print $3}' | sed -e"s/\///g"`
+ echo "Perform DB schema upgrade on: $DB_HOST"
+ if ! check_x_file "${POLICY_HOME}/bin/db_upgrade_remote.sh"; then
+ echo "error: ${POLICY_HOME}/bin/db_upgrade_remote.sh is not accessible"
+ exit 1
+ else
+ ${POLICY_HOME}/bin/db_upgrade_remote.sh "${DB_USER}" "${DB_PASS}" "${DB_HOST}"
+ fi
+ return 0
}
# This function installs elk related shell scripts and sql files in the proper locations